Package org.apache.tiles.request.jsp.autotag

# Class JspAutotagRuntime

java.lang.Object
jakarta.servlet.jsp.tagext.SimpleTagSupport
org.apache.tiles.request.jsp.autotag.JspAutotagRuntime

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.SimpleTag`, `AutotagRuntime<Request>`

public class JspAutotagRuntime extends jakarta.servlet.jsp.tagext.SimpleTagSupport implements AutotagRuntime<Request>
A Runtime for implementing JSP tag libraries.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JspAutotagRuntime()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ModelBody`
  `createModelBody()`
  Creates a new ModelBody instance to match the request.
  `Request`
  `createRequest()`
  Creates a new Request instance.
  `void`
  `doTag()`
  `<T> T`
  `getParameter(String name, Class<T> type, T defaultValue)`
  Extracts a parameter from the tag.

  ### Methods inherited from class jakarta.servlet.jsp.tagext.SimpleTagSupport

  `findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JspAutotagRuntime

    public JspAutotagRuntime()

- ## Method Details

  - ### doTag

    public void doTag()
    Specified by:
      `doTag` in interface `jakarta.servlet.jsp.tagext.SimpleTag`
    Overrides:
      `doTag` in class `jakarta.servlet.jsp.tagext.SimpleTagSupport`

  - ### createRequest

    public Request createRequest()
    Creates a new Request instance.
    Specified by:
      `createRequest` in interface `AutotagRuntime<Request>`
    Returns:
      The Request.

  - ### createModelBody

    public ModelBody createModelBody()
    Creates a new ModelBody instance to match the request.
    Specified by:
      `createModelBody` in interface `AutotagRuntime<Request>`
    Returns:
      The ModelBody.

  - ### getParameter

    public <T> T getParameter(String name, Class<T> type, T defaultValue)
    Extracts a parameter from the tag.
    Specified by:
      `getParameter` in interface `AutotagRuntime<Request>`
    Parameters:
      `name` - The name of the parameter.
      `defaultValue` - The default value if none is specified.
    Returns:
      The value of the parameter.